Bug 497928 - traceback updating packages on a rhel4 system
traceback updating packages on a rhel4 system
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
wes hayutin
na
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 17:33 EDT by wes hayutin
Modified: 2012-10-10 11:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 10:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-27 17:33:11 EDT
Description of problem:

4/24.1 build rhel5 server

on Apr 27 16:53:33 2009] up2date Processing dependency(('glibc-headers', '2.3.4', '2.43'), ('kernel-headers', None), 0, None, 0)
[Mon Apr 27 16:53:33 2009] up2date Processing dependency(('glibc-headers', '2.3.4', '2.43'), ('kernel-headers', '2.2.1'), 12, None, 0)
[Mon Apr 27 16:53:33 2009] up2date Dependencies:[('glibc', 'glibc-common'), ('glibc-headers', 'kernel-headers'), ('glibc-headers', 'kernel
-headers')]
[Mon Apr 27 16:53:33 2009] up2date solving dep for: ['glibc-common', 'kernel-headers', 'kernel-headers']
[Mon Apr 27 16:53:34 2009] up2date A protocol error occurred: Internal Server Error , attempt #1,
[Mon Apr 27 16:53:39 2009] up2date A protocol error occurred: Internal Server Error , attempt #2,
[Mon Apr 27 16:53:46 2009] up2date A protocol error occurred: Internal Server Error , attempt #3,
[Mon Apr 27 16:53:51 2009] up2date A protocol error occurred: Internal Server Error , attempt #4,
[Mon Apr 27 16:53:58 2009] up2date A protocol error occurred: Internal Server Error , attempt #5,
[Mon Apr 27 16:53:58 2009] up2date Sending back response(21, 'Failed: There was a communication error talking to the server', {})
[Mon Apr 27 16:53:59 2009] up2date do_callpackages.checkNeedUpdate('rhnsd=1',)
[Mon Apr 27 16:53:59 2009] up2date local action status: (0, 'rpm database not modified since last update (or package list recently updated
)', {})
~
~
~
~
~


Exception reported from riverraid.rhndev.redhat.com
Time: Mon Apr 27 16:53:52 2009
Exception type server.rhnSQL.sql_base.SQLError
Exception while handling function up2date.solveDependencies
Request object information:
URI: /XMLRPC
Remote Host: fjs-0-19.rhndev.redhat.com
Server Name: riverraid.rhndev.redhat.com:0
Headers passed in:
        Accept-Encoding: identity
        Content-Length: 2383
        Host: riverraid.rhndev.redhat.com
        content-type: text/xml
        user-agent: rhn.rpclib.py/$Revision: 92982 $
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version 118741)
        x-rhn-client-capability: packages.verifyAll(1)=1,packages.verify(1)=1,packages.extended_profile(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,script.run(1)=1,configfiles.upload(1)=1,packages.runTransaction(1)=1
        x-rhn-transport-capability: follow-redirects=2
        x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version 92982)
        x-up2date-version: 4.7.1-17.el4
Extra information about this error:
SQL Error generated: (6502, 'ORA-06502: PL/SQL: numeric or value error\nORA-06512: at "RHNSAT.RPM", line 55\nORA-06512: at "RHNSAT.RPM", line 173\nORA-06512: at "RHNSAT.EVR_T", line 7\n', 'select distinct pn.name name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 1 preference from rhnPackageEvr pe, rhnChannelPackage cp, rhnPackage p, rhnServerChannel sc, rhnPackageName pn, rhnPackageArch pa where 1=1 and pn.name = :dep and sc.server_id = :server_id and p.name_id = pn.id and cp.channel_id = sc.channel_id and p.id = cp.package_id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackageEVR pe1, rhnChannelPackage cp1, rhnPackage p1, rhnServerChannel sc1 where sc1.server_id = :server_id and p1.name_id = pn.id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.evr_id = pe1.id ) UNION ALL select  distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, !
 pa.label arch, 2 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageProvides pr, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc.server_id = :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = pr.package_id and pr.package_id = p.id and pr.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id ) UNION ALL select distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 3 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageFile f, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhn!
 PackageEVR pe, rhnPackageArch pa where sc.server_id = :server_!
 id and s
c.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = f.package_id and f.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id )')

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 120, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/xmlrpc/up2date.py", line 386, in solveDependencies
    clientVersion = 2)
  File "/usr/share/rhn/server/handlers/xmlrpc/up2date.py", line 455, in __solveDep
    deps, clientVersion)
  File "/usr/share/rhn/server/rhnDependency.py", line 700, in solve_dependencies
    h.execute(server_id = server_id, dep = dep)
  File "/usr/share/rhn/server/rhnSQL/sql_base.py", line 161, in execute
    return apply(self._execute_wrapper, (self._execute, ) + p, kw)
  File "/usr/share/rhn/server/rhnSQL/driver_cx_Oracle.py", line 118, in _execute_wrapper
    raise apply(sql_base.SQLError, ret)
SQLError: (6502, 'ORA-06502: PL/SQL: numeric or value error\nORA-06512: at "RHNSAT.RPM", line 55\nORA-06512: at "RHNSAT.RPM", line 173\nORA-06512: at "RHNSAT.EVR_T", line 7\n', 'select distinct pn.name name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 1 preference from rhnPackageEvr pe, rhnChannelPackage cp, rhnPackage p, rhnServerChannel sc, rhnPackageName pn, rhnPackageArch pa where 1=1 and pn.name = :dep and sc.server_id = :server_id and p.name_id = pn.id and cp.channel_id = sc.channel_id and p.id = cp.package_id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackageEVR pe1, rhnChannelPackage cp1, rhnPackage p1, rhnServerChannel sc1 where sc1.server_id = :server_id and p1.name_id = pn.id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.evr_id = pe1.id ) UNION ALL select  distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label ar!
 ch, 2 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageProvides pr, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc.server_id = :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = pr.package_id and pr.package_id = p.id and pr.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id ) UNION ALL select distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 3 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageFile f, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhnPackageEVR !
 pe, rhnPackageArch pa where sc.server_id = :server_id and sc.c!
 hannel_i
d = cp.channel_id and cp.package_id = p.id and cp.package_id = f.package_id and f.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id )')

Local variables by frame
Frame _execute_wrapper in /usr/share/rhn/server/rhnSQL/driver_cx_Oracle.py at line 118
                    function = <type 'instancemethod'> <bound method Cursor._execute of <__builtin__.OracleCursor on <cx_Oracle.Connection to rhnsat@rhnsat>>>
                           e = <type 'instance'> ORA-06502: PL/SQL: numeric or value error
ORA-06512: at "RHNSAT.RPM", line 55
ORA-06512: at "RHNSAT.RPM", line 173
ORA-06512: at "RHNSAT.EVR_T", line 7

                       errno = <type 'int'> 6502
                        self = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to rhnsat@rhnsat>>
             modified_params = <type 'list'> []
                       value = <type 'int'> 1000010005
                           p = <type 'tuple'> ()
                      params = <type 'str'> dep: kernel-headers,server_id: 1000010005
                         ret = <type 'tuple'> (6502, 'ORA-06502: PL/SQL: numeric or value error\nORA-06512: at "RHNSAT.RPM", line 55\nORA-06512: at "RHNSAT.RPM", line 173\nORA-06512: at "RHNSAT.EVR_T", line 7\n', 'select distinct pn.name name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 1 preference from rhnPackageEvr pe, rhnChannelPackage cp, rhnPackage p, rhnServerChannel sc, rhnPackageName pn, rhnPackageArch pa where 1=1 and pn.name = :dep and sc.server_id = :server_id and p.name_id = pn.id and cp.channel_id = sc.channel_id and p.id = cp.package_id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackageEVR pe1, rhnChannelPackage cp1, rhnPackage p1, rhnServerChannel sc1 where sc1.server_id = :server_id and p1.name_id = pn.id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.evr_id = pe1.id ) UNION ALL select  distinct pn.name, pe.evr.version version, pe.evr.release release, pe!
 .evr.epoch epoch, pa.label arch, 2 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageProvides pr, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc.server_id = :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = pr.package_id and pr.package_id = p.id and pr.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id ) UNION ALL select distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 3 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageFile f, rhnPackage p, rhnPackageCapability cap, rhnP!
 ackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc.se!
 rver_id 
= :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = f.package_id and f.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id )')
                         key = <type 'str'> server_id
                          kw = <type 'dict'> {'dep': 'kernel-headers', 'server_id': 1000010005}
                      errmsg = <type 'str'> ORA-06502: PL/SQL: numeric or value error
ORA-06512: at "RHNSAT.RPM", line 55
ORA-06512: at "RHNSAT.RPM", line 173
ORA-06512: at "RHNSAT.EVR_T", line 7


Frame execute in /usr/share/rhn/server/rhnSQL/sql_base.py at line 161
                           p = <type 'tuple'> ()
                        self = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to rhnsat@rhnsat>>
                          kw = <type 'dict'> {'dep': 'kernel-headers', 'server_id': 1000010005}

Frame solve_dependencies in /usr/share/rhn/server/rhnDependency.py at line 700
                   server_id = <type 'int'> 1000010005
                        deps = <type 'list'> ['glibc-common', 'kernel-headers', 'kernel-headers']
                          rs = <type 'list'> [{'name': 'glibc-common', 'epoch': '', 'version': '2.3.4', 'preference': 1, 'release': '2.43', 'arch': 'i386'}, {'name': 'glibc-common', 'epoch': '', 'version': '2.3.4', 'preference': 2, 'release': '2.43', 'arch': 'i386'}]
                         dep = <type 'str'> kernel-headers
                           h = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to rhnsat@rhnsat>>
                           l = <type 'list'> [(['glibc-common', '2.3.4', '2.43', ''], 1)]
                           p = <type 'dict'> {'name': 'glibc-common', 'epoch': '', 'version': '2.3.4', 'preference': 2, 'release': '2.43', 'arch': 'i386'}
                     version = <type 'int'> 2
                        dict = <type 'dict'> {}
                   statement = <type 'str'> 
select distinct
    pn.name name,
    pe.evr.version version,
    pe.evr.release release,
    pe.evr.epoch epoch,
    pa.label arch,
    1 preference
from
    rhnPackageEvr pe,
    rhnChannelPackage cp,
    rhnPackage p,
    rhnServerChannel sc,
    rhnPackageName pn,
    rhnPackageArch pa
where 1=1
and pn.name = :dep
and sc.server_id = :server_id
and p.name_id = pn.id
and cp.channel_id = sc.channel_id
and p.id = cp.package_id
and p.evr_id = pe.id
and p.package_arch_id = pa.id
and pe.evr = (
    select MAX(pe1.evr)
    from
        rhnPackageEVR pe1,
        rhnChannelPackage cp1,
        rhnPackage p1,
        rhnServerChannel sc1
    where
        sc1.server_id = :server_id
    and p1.name_id = pn.id
    and sc1.channel_id = cp1.channel_id
    and cp1.package_id = p1.id
    and p1.evr_id = pe1.id
    )
 UNION ALL 
select  distinct
    pn.name,
    pe.evr.version version,
    pe.evr.release release,
    pe.evr.epoch epoch,
    pa.label arch,
    2 preference
from
    rhnServerChannel sc,
    rhnChannelPackage cp,
    rhnPackageProvides pr,
    rhnPackage p,
    rhnPackageCapability cap,
    rhnPackageName pn,
    rhnPackageEVR pe,
    rhnPackageArch pa
where
    sc.server_id = :server_id
and sc.channel_id = cp.channel_id
and cp.package_id = p.id
and cp.package_id = pr.package_id
and pr.package_id = p.id
and pr.capability_id = cap.id
and cap.name = :dep
and p.name_id = pn.id
and p.evr_id = pe.id
and p.package_arch_id = pa.id
-- and this package is the latest one from all the channels
-- this server is subscribed to.
and pe.evr = (
    select MAX(pe1.evr)
    from
        rhnPackage p1,
        rhnPackageEVR pe1,
        rhnServerChannel sc1,
        rhnChannelPackage cp1
    where
        sc1.server_id = :server_id
    and sc1.channel_id = cp1.channel_id
    and cp1.package_id = p1.id
    and p1.name_id = pn.id
    and p1.evr_id = pe1.id
    )
 UNION ALL 
select distinct
    pn.name,
    pe.evr.version version,
    pe.evr.release release,
    pe.evr.epoch epoch,
    pa.label arch,
    3 preference
from
    rhnServerChannel sc,
    rhnChannelPackage cp,
    rhnPackageFile f,
    rhnPackage p,
    rhnPackageCapability cap,
    rhnPackageName pn,
    rhnPackageEVR pe,
    rhnPackageArch pa
where
    sc.server_id = :server_id
and sc.channel_id = cp.channel_id
and cp.package_id = p.id
and cp.package_id = f.package_id
and f.capability_id = cap.id
and cap.name = :dep
and p.name_id = pn.id
and p.evr_id = pe.id
and p.package_arch_id = pa.id
-- and this package is the latest one from all the channels
-- this server is subscribed to.
and pe.evr = (
    select MAX(pe1.evr)
    from
        rhnPackage p1,
        rhnPackageEVR pe1,
        rhnServerChannel sc1,
        rhnChannelPackage cp1
    where
        sc1.server_id = :server_id
    and sc1.channel_id = cp1.channel_id
    and cp1.package_id = p1.id
    and p1.name_id = pn.id
    and p1.evr_id = pe1.id
    )

                     deplist = <type 'list'> ['glibc-common', 'kernel-headers']
                       entry = <type 'list'> ['glibc-common', '2.3.4', '2.43', '']
                    packages = <type 'dict'> {'glibc-common': [['glibc-common', '2.3.4', '2.43', '']]}

Frame __solveDep in /usr/share/rhn/server/handlers/xmlrpc/up2date.py at line 455
               clientVersion = <type 'int'> 2
                         dep = <type 'str'> kernel-headers
                        self = <type 'instance'> <server.handlers.xmlrpc.up2date.Up2date instance at 0xaa2bfec>
                      server = <class 'server.rhnServer.server_class.Server'> <Server Class at 178437900: {'self.cert': None, 'self.server': {'info': ("rhn_register by username = 'admin'", 0), 'creator_id': (1, 0), 'provision_state_id': (None, 0), 'name': ('fjs-0-19.rhndev.redhat.com', 0), 'created': (datetime.datetime(2009, 4, 27, 16, 49, 47), 0), 'auto_update': ('N', 0), 'running_kernel': ('2.6.9-78.0.17.EL', 0), 'description': ('Initial Registration Parameters:\r\nOS: redhat-release\r\nRelease: 4AS\r\nCPU Arch: i686-redhat-linux', 0), 'org_id': (1, 0), 'modified': (datetime.datetime(2009, 4, 27, 16, 50, 6), 0), 'server_arch_id': (1003, 0), 'secret': ('108d15c7c20a9c5c9af401efa67d13d5', 0), 'last_boot': (1240053746, 0), 'digital_server_id': ('ID-1000010005', 0), 'release': ('4AS', 0), 'channels_changed': (datetime.datetime(2009, 4, 27, 16, 50, 6), 0), 'auto_deliver': ('N', 0), 'os': ('redhat-release', 0), 'id': (1000010005, 0), 'cobbler_id': (None, 0)}}>

                   system_id = <type 'str'> <?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>username</name>
<value><string>admin</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>redhat-release</string></value>
</member>
<member>
<name>description</name>
<value><string>Initial Registration Parameters:
OS: redhat-release
Release: 4AS
CPU Arch: i686-redhat-linux</string></value>
</member>
<member>
<name>checksum</name>
<value><string>f9dfdc5eb73fb153037e1331db20cfe8</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>fjs-0-19.rhndev.redhat.com</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000010005</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686-redhat-linux</string></value>
</member>
<member>
<name>os_release</name>
<value><string>4AS</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>

                        deps = <type 'list'> ['glibc-common', 'kernel-headers', 'kernel-headers']
                      action = <type 'str'> solvedep
                 faultString = <type 'str'> Invalid value %s (%s)

Frame solveDependencies in /usr/share/rhn/server/handlers/xmlrpc/up2date.py at line 386
                        self = <type 'instance'> <server.handlers.xmlrpc.up2date.Up2date instance at 0xaa2bfec>
                   system_id = <type 'str'> <?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>username</name>
<value><string>admin</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>redhat-release</string></value>
</member>
<member>
<name>description</name>
<value><string>Initial Registration Parameters:
OS: redhat-release
Release: 4AS
CPU Arch: i686-redhat-linux</string></value>
</member>
<member>
<name>checksum</name>
<value><string>f9dfdc5eb73fb153037e1331db20cfe8</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>fjs-0-19.rhndev.redhat.com</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000010005</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686-redhat-linux</string></value>
</member>
<member>
<name>os_release</name>
<value><string>4AS</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>

                        deps = <type 'list'> ['glibc-common', 'kernel-headers', 'kernel-headers']

Frame call_function in /usr/share/rhn/server/apacheRequest.py at line 166
                           e = <type 'instance'> (6502, 'ORA-06502: PL/SQL: numeric or value error\nORA-06512: at "RHNSAT.RPM", line 55\nORA-06512: at "RHNSAT.RPM", line 173\nORA-06512: at "RHNSAT.EVR_T", line 7\n', 'select distinct pn.name name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 1 preference from rhnPackageEvr pe, rhnChannelPackage cp, rhnPackage p, rhnServerChannel sc, rhnPackageName pn, rhnPackageArch pa where 1=1 and pn.name = :dep and sc.server_id = :server_id and p.name_id = pn.id and cp.channel_id = sc.channel_id and p.id = cp.package_id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackageEVR pe1, rhnChannelPackage cp1, rhnPackage p1, rhnServerChannel sc1 where sc1.server_id = :server_id and p1.name_id = pn.id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.evr_id = pe1.id ) UNION ALL select  distinct pn.name, pe.evr.version version, pe.evr.release release,!
  pe.evr.epoch epoch, pa.label arch, 2 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageProvides pr, rhnPackage p, rhnPackageCapability cap, rhnPackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc.server_id = :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = pr.package_id and pr.package_id = p.id and pr.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id ) UNION ALL select distinct pn.name, pe.evr.version version, pe.evr.release release, pe.evr.epoch epoch, pa.label arch, 3 preference from rhnServerChannel sc, rhnChannelPackage cp, rhnPackageFile f, rhnPackage p, rhnPackageCapability cap, r!
 hnPackageName pn, rhnPackageEVR pe, rhnPackageArch pa where sc!
 .server_
id = :server_id and sc.channel_id = cp.channel_id and cp.package_id = p.id and cp.package_id = f.package_id and f.capability_id = cap.id and cap.name = :dep and p.name_id = pn.id and p.evr_id = pe.id and p.package_arch_id = pa.id and pe.evr = ( select MAX(pe1.evr) from rhnPackage p1, rhnPackageEVR pe1, rhnServerChannel sc1, rhnChannelPackage cp1 where sc1.server_id = :server_id and sc1.channel_id = cp1.channel_id and cp1.package_id = p1.id and p1.name_id = pn.id and p1.evr_id = pe1.id )')
                        self = <type 'instance'> <server.apacheRequest.apachePOST instance at 0xb7c1baec>
              force_rollback = <type 'int'> 1
                      params = <type 'tuple'> ('<?xml version="1.0"?>\n<params>\n<param>\n<value><struct>\n<member>\n<name>username</name>\n<value><string>admin</string></value>\n</member>\n<member>\n<name>operating_system</name>\n<value><string>redhat-release</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>Initial Registration Parameters:\nOS: redhat-release\nRelease: 4AS\nCPU Arch: i686-redhat-linux</string></value>\n</member>\n<member>\n<name>checksum</name>\n<value><string>f9dfdc5eb73fb153037e1331db20cfe8</string></value>\n</member>\n<member>\n<name>profile_name</name>\n<value><string>fjs-0-19.rhndev.redhat.com</string></value>\n</member>\n<member>\n<name>system_id</name>\n<value><string>ID-1000010005</string></value>\n</member>\n<member>\n<name>architecture</name>\n<value><string>i686-redhat-linux</string></value>\n</member>\n<member>\n<name>os_release</name>\n<value><string>4AS</string></value>\n</member>\n<member>\n<name>fields</name>\n<value>!
 <array><data>\n<value><string>system_id</string></value>\n<value><string>os_release</string></value>\n<value><string>operating_system</string></value>\n<value><string>architecture</string></value>\n<value><string>username</string></value>\n<value><string>type</string></value>\n</data></array></value>\n</member>\n<member>\n<name>type</name>\n<value><string>REAL</string></value>\n</member>\n</struct></value>\n</param>\n</params>\n', ['glibc-common', 'kernel-headers', 'kernel-headers'])
                        func = <type 'instancemethod'> <bound method Up2date.solveDependencies of <server.handlers.xmlrpc.up2date.Up2date instance at 0xaa2bfec>>
                      method = <type 'unicode'> up2date.solveDependencies

Frame process in /usr/share/rhn/server/apacheRequest.py at line 473
                          fd = <type 'instance'> <cStringIO.StringO object at 0xaa2bdc0>
                       _body = <type 'str'> <?xml version='1.0'?>
<methodCall>
<methodName>up2date.solveDependencies</methodName>
<params>
<param>
<value><string>&lt;?xml version="1.0"?&gt;
&lt;params&gt;
&lt;param&gt;
&lt;value&gt;&lt;struct&gt;
&lt;member&gt;
&lt;name&gt;username&lt;/name&gt;
&lt;value&gt;&lt;string&gt;admin&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;operating_system&lt;/name&gt;
&lt;value&gt;&lt;string&gt;redhat-release&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;description&lt;/name&gt;
&lt;value&gt;&lt;string&gt;Initial Registration Parameters:
OS: redhat-release
Release: 4AS
CPU Arch: i686-redhat-linux&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;checksum&lt;/name&gt;
&lt;value&gt;&lt;string&gt;f9dfdc5eb73fb153037e1331db20cfe8&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;profile_name&lt;/name&gt;
&lt;value&gt;&lt;string&gt;fjs-0-19.rhndev.redhat.com&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;system_id&lt;/name&gt;
&lt;value&gt;&lt;string&gt;ID-1000010005&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;architecture&lt;/name&gt;
&lt;value&gt;&lt;string&gt;i686-redhat-linux&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;os_release&lt;/name&gt;
&lt;value&gt;&lt;string&gt;4AS&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;fields&lt;/name&gt;
&lt;value&gt;&lt;array&gt;&lt;data&gt;
&lt;value&gt;&lt;string&gt;system_id&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;os_release&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;operating_system&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;architecture&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;username&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;type&lt;/string&gt;&lt;/value&gt;
&lt;/data&gt;&lt;/array&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;type&lt;/name&gt;
&lt;value&gt;&lt;string&gt;REAL&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;/struct&gt;&lt;/value&gt;
&lt;/param&gt;
&lt;/params&gt;
</string></value>
</param>
<param>
<value><array><data>
<value><string>glibc-common</string></value>
<value><string>kernel-headers</string></value>
<value><string>kernel-headers</string></value>
</data></array></value>
</param>
</params>
</methodCall>

                      params = <type 'tuple'> ('<?xml version="1.0"?>\n<params>\n<param>\n<value><struct>\n<member>\n<name>username</name>\n<value><string>admin</string></value>\n</member>\n<member>\n<name>operating_system</name>\n<value><string>redhat-release</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>Initial Registration Parameters:\nOS: redhat-release\nRelease: 4AS\nCPU Arch: i686-redhat-linux</string></value>\n</member>\n<member>\n<name>checksum</name>\n<value><string>f9dfdc5eb73fb153037e1331db20cfe8</string></value>\n</member>\n<member>\n<name>profile_name</name>\n<value><string>fjs-0-19.rhndev.redhat.com</string></value>\n</member>\n<member>\n<name>system_id</name>\n<value><string>ID-1000010005</string></value>\n</member>\n<member>\n<name>architecture</name>\n<value><string>i686-redhat-linux</string></value>\n</member>\n<member>\n<name>os_release</name>\n<value><string>4AS</string></value>\n</member>\n<member>\n<name>fields</name>\n<value>!
 <array><data>\n<value><string>system_id</string></value>\n<value><string>os_release</string></value>\n<value><string>operating_system</string></value>\n<value><string>architecture</string></value>\n<value><string>username</string></value>\n<value><string>type</string></value>\n</data></array></value>\n</member>\n<member>\n<name>type</name>\n<value><string>REAL</string></value>\n</member>\n</struct></value>\n</param>\n</params>\n', ['glibc-common', 'kernel-headers', 'kernel-headers'])
                      method = <type 'unicode'> up2date.solveDependencies
                        self = <type 'instance'> <server.apacheRequest.apachePOST instance at 0xb7c1baec>

Frame handler in /usr/share/rhn/server/apacheHandler.py at line 198
                           h = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to rhnsat@rhnsat>>
                        self = <type 'instance'> <server.apacheHandler.apacheHandler instance at 0xb7c1bd4c>
                         req = <type 'mp_request'> <mp_request object at 0xb7ebcd2c>
                         ret = <type 'int'> 0
             templateStrings = <type 'dict'> {'email_account_info': '\nAccount Information:\n  Your RHN login:         <login />\n  Your RHN email address: <email-address />', 'email_footer': '--the Red Hat Network Team', 'hostname': 'riverraid.rhndev.redhat.com'}
                         row = <type 'NoneType'> None

Frame __call__ in /usr/share/rhn/server/apacheServer.py at line 58
                        self = <type 'instance'> <server.apacheServer.HandlerWrap instance at 0xb7cbbc8c>
                         req = <type 'mp_request'> <mp_request object at 0xb7ebcd2c>
                           f = <type 'instancemethod'> <bound method apacheHandler.handler of <server.apacheHandler.apacheHandler instance at 0xb7c1bd4c>>

Frame HandlerDispatch in /usr/lib/python2.4/site-packages/mod_python/apache.py at line 299
                         req = <type 'mp_request'> <mp_request object at 0xb7ebcd2c>
                      config = <type 'mp_table'> {'PythonInterpreter': 'rhn.server', 'PythonPath': 'sys.path+['/usr/share/rhn']'}
                        self = <type 'instance'> <mod_python.apache.CallBack instance at 0xb7eca82c>
                      object = <type 'instance'> <server.apacheServer.HandlerWrap instance at 0xb7cbbc8c>
                           l = <type 'list'> ['server.apacheServer', 'Handler']
                      module = <type 'module'> <module 'server.apacheServer' from '/usr/share/rhn/server/apacheServer.pyc'>
                       hlist = <type 'mp_hlist'> {'handler:'server.apacheServer::Handler','directory':'/XMLRPC/','silent':0}
                  object_str = <type 'str'> Handler
                       debug = <type 'int'> 0
                 module_name = <type 'str'> server.apacheServer
                  pathstring = <type 'str'> sys.path+['/usr/share/rhn']
                      result = <type 'int'> 500


Environment for PID=2300 on exception:
CONSOLE = /dev/console
HOME = /
INIT_VERSION = sysvinit-2.86
LANG = C
NLS_LANG = english.AL32UTF8
ORACLE_HOME = /opt/oracle
PATH = /sbin:/usr/sbin:/bin:/usr/bin
PERL_BADFREE = 0
PREVLEVEL = N
PWD = /
RUNLEVEL = 3
SELINUX_INIT = YES
SHLVL = 3
TERM = linux
_ = /usr/sbin/httpd
previous = N
runlevel = 3
Comment 1 Brandon Perkins 2009-04-28 11:13:02 EDT
Wes, I don't see any steps to recreate.  Also, its hard to see what's happening with all the data in the description.  Can you please provide steps and attach the specific errors?
Comment 2 wes hayutin 2009-04-28 12:11:57 EDT
thats correct.. there is no specific recreate..  Prad and I were looking at the error.. The closest we came to a recreate is installing rhnmd on the box..
He thought I should open it even w/o a specific recreate..
Comment 3 Pradeep Kilambi 2009-04-30 10:22:20 EDT
So looking at the traceback, only possible way we can hit this code path is when a RHEL-4 client is installing packages through rhn_check or up2date itself and calling the dep solver to get the remaining dependencies. 

So these were the tests I ran against the latest build:

1. update packages through up2date itself such that solveDependencies is called:

[root@rlx-2-24 ~]# up2date apel-xemacs

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching rpm headers...
########################################

Name                                    Version              Rel               Arch
----------------------------------------------------------------------------------------
apel-xemacs                             10.6                5                   noarch


Testing package set / solving RPM inter-dependencies...
########################################
apel-xemacs-10.6-5.noarch.r ########################## Done.                   
xemacs-common-21.4.15-11.EL ########################## Done.                   
Preparing              ########################################### [100%]

Installing...
   1:xemacs-common          ########################################### [100%]
   2:apel-xemacs            ########################################### [100%]
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
xemacs-common                           21.4.15        11.EL4  


On the server the above query in the traceback executed correctly and returned the deps. 

Case 2:

Schedule a package install/update action from the server such that the requested package forces dep resolution calling solveDependencies. 

D: Checking for dependencies
D: RPM returned 1 deps.
D: Processing dependency (('alchemist-devel', '1.0.34', '1'), ('alchemist', '1.0.34-1'), 8, None, 0)
D: Dependencies: [('alchemist-devel', 'alchemist')]
D: Dep ['alchemist'] Fetched via: [['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4']]
D: Got back response: [['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4']]
D: Candidates for the selected list: [['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4']]
D: ['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4'] alchemist-1.0.34-1-i386 is selected for the transaction
D: Checking for dependencies
D: Running transaction (final step)...
D: getPackage ['alchemist-devel', '1.0.34', '1', '', 'i386', '114703', 'rhel-i386-as-4']
alchemist-devel-1.0.34-1.i3 ########################## Done.                   
D: Package ['alchemist-devel', '1.0.34', '1', '', 'i386', '114703', 'rhel-i386-as-4'] Fetched via: get
D: getPackage ['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4']
alchemist-1.0.34-1.i386.rpm ########################## Done.                   
D: Package ['alchemist', '1.0.34', '1', '', 'i386', '100477', 'rhel-i386-as-4'] Fetched via: get
Preparing              ########################################### [100%]

Installing...
   1:alchemist              ########################################### [100%]
   2:alchemist-devel        ########################################### [100%]
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
alchemist                               1.0.34         1                   

D: Sending back response (0, 'Packages were installed successfully', {})


So these two possible cases where the query could be called seemed to work as expected. Might be some weird state where while the resolution was happening the server or the database was bounced perhaps.

Seems to work, so I'm gonna close this as WorksForMe.

Note You need to log in before you can comment on or make changes to this bug.